Bug 74421 - DNS updates even though unchecked from DHCP update
Summary: DNS updates even though unchecked from DHCP update
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rcn-7.3
TreeView+ depends on / blocked
 
Reported: 2002-09-23 23:53 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:14:43 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-09-23 23:53:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
After configuring eth0 for DHCP update from outside source but leaving
"Automatically obtain DNS information from provider" unchecked, DHCP still
overrides information written in DNS tab.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Click on eth0 selection
2.Click edit
3.Click Automatically obtain IP address settings with: DHCP
4.Make sure "Automatically obtain DNS information from provider" is not selected
5.Enter DNS information under DNS tab
6.Reboot computer

Actual Results:  After logging back in and opening up gnome terminal:
at prompt type "dig computername"
Output states it is using outside DNS information.

Log into network-configuration and click on DNS. Information has changed to
information from DHCP server

Expected Results:  dig results from local DNS server and DNS tab to retain
PROPER information that was manually entered.

Additional info:

CPU Intel PIII 733 
RPM: redhat-config-network-1.0.0-1

Have to MANUALLY edit /etc/sysconfig/networking/devices/ifcfg-eth0
and
/etc/sysconfig/networking/profiles/default/ifcfg-eth0

by adding a line near top of file to say: 
PEERDNS='no'

Plus complicated stopping and starting eth0 device and changing DNS information
in DNS tab before restarting eth0.

Comment 1 Harald Hoyer 2002-10-23 09:36:16 UTC
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.

Comment 2 Harald Hoyer 2003-03-25 10:14:43 UTC
see #67498


Note You need to log in before you can comment on or make changes to this bug.